# This file created by conda-build 3.20.5
# meta.yaml template originally from:
# /tmp/build/80754af9/rsync-recipes/scikit-image-0.17.2-on-linux_64, last modified Tue Dec 15 21:10:37 2020
# ------------------------------------------------

package:
    name: scikit-image
    version: 0.17.2
source:
    sha256: bd954c0588f0f7e81d9763dc95e06950e68247d540476e06cb77bcbcd8c2d8b3
    url: https://pypi.io/packages/source/s/scikit-image/scikit-image-0.17.2.tar.gz
build:
    entry_points:
        - skivi = skimage.scripts.skivi:main
    number: '0'
    script:
        - rm -rf skimage/viewer/tests
        - rm -f pyproject.toml
        - /tmp/build/80754af9/scikit-image_1608067025044/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_p/bin/python
            setup.py build_ext -j2
        - /tmp/build/80754af9/scikit-image_1608067025044/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_p/bin/python
            setup.py install --single-version-externally-managed --record record.txt
    string: py39ha9443f7_0
requirements:
    build:
        - _libgcc_mutex 0.1 main
        - binutils_impl_linux-64 2.33.1 he6710b0_7
        - binutils_linux-64 2.33.1 h9595d00_15
        - gcc_impl_linux-64 7.3.0 habb00fd_1
        - gcc_linux-64 7.3.0 h553295d_15
        - gxx_impl_linux-64 7.3.0 hdf63c60_1
        - gxx_linux-64 7.3.0 h553295d_15
        - ld_impl_linux-64 2.33.1 h53a641e_7
        - libgcc-ng 9.1.0 hdf63c60_0
        - libstdcxx-ng 9.1.0 hdf63c60_0
    host:
        - _libgcc_mutex 0.1 main
        - blas 1.0 mkl
        - ca-certificates 2020.12.8 h06a4308_0
        - certifi 2020.12.5 py39h06a4308_0
        - cython 0.29.21 py39h2531618_0
        - intel-openmp 2020.2 254
        - ld_impl_linux-64 2.33.1 h53a641e_7
        - libedit 3.1.20191231 h14c3975_1
        - libffi 3.3 he6710b0_2
        - libgcc-ng 9.1.0 hdf63c60_0
        - libgfortran-ng 7.3.0 hdf63c60_0
        - libstdcxx-ng 9.1.0 hdf63c60_0
        - mkl 2020.2 256
        - mkl-service 2.3.0 py39he8ac12f_0
        - mkl_fft 1.0.6 py39h63df603_0
        - mkl_random 1.0.2 py39h63df603_0
        - ncurses 6.2 he6710b0_1
        - numpy 1.16.6 py39h89c1606_1
        - numpy-base 1.16.6 py39h76555f2_1
        - openssl 1.1.1i h27cfd23_0
        - pip 20.3.1 py39h06a4308_0
        - python 3.9.1 hdb3f193_2
        - readline 8.0 h7b6447c_0
        - setuptools 51.0.0 py39h06a4308_2
        - six 1.15.0 py39h06a4308_0
        - sqlite 3.33.0 h62c20be_0
        - tk 8.6.10 hbc83047_0
        - tzdata 2020d h14c3975_0
        - wheel 0.36.2 pyhd3eb1b0_0
        - xz 5.2.5 h7b6447c_0
        - zlib 1.2.11 h7b6447c_3
    run:
        - cloudpickle >=0.2.1
        - cytoolz >=0.7.3
        - dask-core >=0.15.0
        - imageio >=2.3.0
        - libgcc-ng >=7.3.0
        - libstdcxx-ng >=7.3.0
        - matplotlib-base >=2.0.0
        - networkx >=2.0
        - numpy >=1.16.6,<2.0a0
        - pillow >=4.3.0
        - python >=3.9,<3.10.0a0
        - pywavelets >=0.4.0
        - scipy >=0.19
        - tifffile >=2019.7.26
        - toolz >=0.7.3
    run_constrained:
        - pooch >=0.5.2
test:
    commands:
        - export MPLBACKEND=Agg
        - SKIMAGE_TEST_STRICT_WARNINGS=0 pytest --pyargs skimage -k "not (_not_a_real_test)"
    imports:
        - skimage
    requires:
        - pytest
        - pytest-localserver
about:
    description: 'scikit-image is a collection of algorithms for image processing.

        It is available free of charge and free of restriction.

        We pride ourselves on high-quality, peer-reviewed code,

        written by an active community of volunteers.

        '
    home: http://scikit-image.org/
    license: BSD-3-Clause
    license_file: LICENSE.txt
    summary: Image processing in Python.
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - emmanuelle
        - hmaarrfk
        - jakirkham
        - jni
        - msarahan
        - ocefpaf
        - soupault
